# Template Read the docs
Este repositório server de template para documentação do ReadTheDocs do C3SL
[docs](docs.c3sl.ufpr.br).

[[_TOC_]]

# Como começar
O primeiro passo é realizar o fork do template.

Após clonar, edite a documentação localizada em `sources` e quando terminar
faça push para o gitlab e crie a documentação no [docs](docs.c3sl.ufpr.br).

# Organização do repositório

A gestão dos pacotes é feita através do Pipenv. Para instalar use `pipenv install`,
e para entrar no ambiente virtual, `pipenv shell`. Para gerar a documentação
rode `pipenv run make html`. Para desenvolvimento local recomenda-se utilizar
o servidor automático com `pipenv run make dev`.

Para usar o pre-commit hook que reformata os arquivos documentação ao fazer
commit, depois de clonar o repositório rode `pipenv run pre-commit install`.

O repositório está organizado da seguinte maneira:
  * `.pre-commit-config.yaml`: Configuração do pre-commit.
  * `cz.yaml`: Configuração do commitizen.
  * `Makefile`: Configuração do Make para a documentação.
  * `Pipfile`: Configuração do ambiente Python usando Pipenv.
  * `Pipfile.lock`: Versão dos módulos Python atual. Este arquivo deve ser incluído no git.
  * `README.md`: Arquivo que você está lendo.
  * `.readthedocs.yaml`: Configuração do ReadTheDocs.
  * `requirements.txt`: Listas de módulos utilizada pelo ReadTheDocs que deve ser igual ao `Pipfile`, podendo ser regerada com `pipenv requirements >requirements.txt`.
  * `LICENSE`: Licença do repositório, padrão é a GPLv3.
  * `build/`: Diretório da documentação compilada.
  * `source/`: Diretório da documentação.
    * `conf.py`: Configuração do Sphinx.
    * `index.rst`: Página inicial da documentação.
    * `pages/`: Diretório com as páginas da documentação.
    * `_static/`: Diretório para armazenar arquivos estáticos como imagens, gifs e etc.
    * `_templates/`: Diretório para alterar o estilo das páginas.
    * `_ext/`: Diretório para extensões customizadas do Sphinx.
